Class List Method List File List

# Module: Cri

Defined in:
  lib/cri.rb,
  lib/cri/version.rb,
  lib/cri/command.rb,
  lib/cri/platform.rb,
  lib/cri/core_ext.rb,
  lib/cri/command_dsl.rb,
  lib/cri/help_renderer.rb,
  lib/cri/option_parser.rb,
  lib/cri/argument_array.rb,
  lib/cri/command_runner.rb,
  lib/cri/core_ext/string.rb,
  lib/cri/string_formatter.rb

## Overview

The namespace for Cri, a library for building easy-to-use commandline tools with support for nested commands.

## Defined Under Namespace

Modules: CoreExtensions, Platform Classes: ArgumentArray, Command, CommandDSL, CommandRunner, Error, HelpRenderer, NoHelpAvailableError, NotImplementedError, OptionParser, StringFormatter

## Constant Summary

VERSION =

The current Cri version.

      '2.7.0'